version 9.2
global stub ch11_f02
/*
	Rotterdam breast cancer data.
	Plot time-varying effects of log pgr and sized1 against time.
*/
set more off
mvmb_load rotterdam_br_ca

fracgen enodes 2, adjust(mean)
fracgen pgr 0, adjust(mean)

* Split data into 6 month intervals
stsplit period, at(.5(.5)15)

* Create means in each period
qui byvar period, r(mean) gen: sum _t
rename Rmean_ tm

global model age sized1 sized2 grade enodes_1 pgr_1 hormon chemo
stcox $model, nolog nohr

* index
predict index, xb

stfpt pgr_1 0 sized1 0, time(tm) fixed(age sized2 grade enodes_1 hormon chemo) genbt(B) se noscaling
stfpt index 0, time(tm) genbt(B) se noscaling
local title1 log(pgr + 1)
local title2 sized1
local x tm
local j 0
foreach v of var pgr_1 sized1 {
	local ++j
	gen ll_`v' = B`v'-1.96*Bs`v'
	gen ul_`v' = B`v'+1.96*Bs`v'
	residual_plot_cmd B`v' ll_`v' ul_`v' `x'
	* remove replicates of predicted values to save space.
	preserve
	qui bysort `x': drop if _n>1
	twoway `r(cmd2)' `r(cmd3)' , title("`title`j''") xtitle("") ytitle("") ///
	 name(g`j', replace) nodraw
	restore
}

graph combine g1 g2, sav($stub, replace) nodraw xcommon ///
 l1title("beta(t)") b2title("Event-free survival time, yr")

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
