version 9.2
global stub ch3_f01
/*
	Freiburg DNA dataset.
	Optimal cutpoint analysis of SPF.
	Node positive patients only.
	n=109, e=56.
*/
set more off
mvmb_load freiburg_dna

// working with groups of sphase, use 10-90th centile interval
egen int group = group(sphase)
centile group, c(10 90)
local g1 = round(r(c_1),1)
local g2 = round(r(c_2),1)
gen byte xc = .	// binary grouping indicator
gen byte xg = .	// value of sphase
gen pval = .	// from logrank test
quietly {
	local i 0
	forvalues j=`g1'/`g2' {
		replace xc = (group<=`j')
		sts test xc
		local ++i
		replace pval = chi2tail(r(df), r(chi2)) in `i'
		sum sphase if group==`j'
		replace xg = r(mean) in `i'
	}
}

twoway connected pval xg, sort xtitle("spf (S-phase fraction)", size(large)) ///
 xla(2(2)14) ytitle("P-value from logrank test", size(large)) sav($stub, replace) ///
 yline(.05, lwidth(thin)) nodraw

gph2emf $stub
gph2eps $stub
set more on
