version 9.2
global stub ch4_f01
/*
	Research body fat data.
	Univariate FP: show smoothed residuals from all FP1 models.

	(Note: N = 327)
*/
set more off
mvmb_load res_bodyfat
qui {
	local j 0
	foreach p in -2 -1 -0.5 0 0.5 1 2 3 {
		local ++j
		if `p'==0 {
			gen x = ln(bmi)
			local ytitle log BMI
		}
		else {
			gen x = bmi^`p'
			local ytitle BMI^`p'
		}
		regress pbfm x
		predict res,res
		local x bmi
		local y res
		running_ci `y' `x'

		residual_plot_cmd s_`x' ll_`x' ul_`x' `x', zero yl(-20) yu(10)
		twoway `r(cmd2)' `r(cmd3)' ///
	 	 , xtitle("") ytitle("") title("`ytitle'") xla(20(10)50) xsca(r(14 57)) ///
	 	 name(g`j', replace) nodraw
		drop x res s_`x' ll_`x' ul_`x'
	}
}
graph combine g1 g2 g3 g4 g5 g6 g7 g8, nodraw ///
 cols(4) ycommon sav($stub, replace) l1title("Smoothed residuals") b2title("Body mass index") imargin(small)

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4 g5 g6 g7 g8
set more on
