version 9.2
global stub ch4_f05
/*
	Draw various FP2 curves with powers (-2 ,2).
*/
set more off
mvmb_load
drop _all
set obs 400
qui {
	gen x = _n/10+10
	gen x2 = x^2
	gen x_2 = 1/x2
	gen x_1 = 1/x
	gen x05 = sqrt(x)
	gen x_05 = 1/x05
	gen x3 = x*x2
	gen x0 = log(x)
	egen y1 = std(x)
	egen y2 = std(x2)
	egen y3 = std(x_2)
	egen y4 = std(x_1)
	egen y5 = std(x05)
	egen y6 = std(x_05)
	egen y7 = std(x3)
	egen y8 = std(x0)
	* (a) -2,2
	egen f1 = std(10+y3-10*y2)
	egen f2 = std(10+y3-5*y2)
	egen f3 = std(10+y3-2*y2)
	egen f4 = std(10+y3-0.5*y2)
	egen f5 = std(10+y3-0.05*y2)
	egen f6 = std(10+y3+10*y2)
	egen f7 = std(10+y3+5*y2)
	egen f8 = std(10+y3+2*y2)
	egen f9 = std(10+y3+0.5*y2)
	egen f10 = std(10+y3+0.05*y2)
	egen f11 = std(10+y2-10*y3)
	egen f12 = std(10+y2-5*y3)
	egen f13 = std(10+y2-2*y3)
	egen f14 = std(10+y2-0.5*y3)
	egen f15 = std(10+y2-0.05*y3)
	egen f16 = std(10+y2+10*y3)
	egen f17 = std(10+y2+5*y3)
	egen f18 = std(10+y2+2*y3)
	egen f19 = std(10+y2+0.5*y3)
	egen f20 = std(10+y2+0.05*y3)
}
line f1-f20 x, xsca(off) ysca(off) xtitle(" ") ytitle(" ") sort ///
 legend(off) lcolor(gs8 ..) sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
