version 9.2
global stub ch4_f06
/*
	Research body fat data.
	Predict percent body fat from BMI.

	(Note: N = 327)
*/
set more off
mvmb_load res_bodyfat
mvmb_logopen
set seed 111
qui {
	local B 100
	gen int w = .
	forval j=1/`B' {
		bsample, weight(w)
		fracpoly regress pbfm bmi [fw=w], deg(1)
		predict f`j'
	}
	egen sboot = rsd(f*)
	fracpoly regress pbfm bmi, deg(1)
	predict sfp, stdp
	predict f

	gen lboot = f-1.96*sboot
	gen uboot = f+1.96*sboot

	gen lfp = f-1.96*sfp
	gen ufp = f+1.96*sfp

	twoway ///
	 (line sfp bmi, sort xtitle(Body mass index) ytitle(SE(eta_hat)) lcolor(gs4) lwidth(medthick) ///
	 legend(label(2 "Bootstrap") label(1 "Naive FP") pos(1) ring(0) col(1))) ///
	 (scatter sboot bmi, msize(*.75) msy(o) mcolor(gs10)), ///
	 name(g1, replace) nodraw

	line lfp ufp lboot uboot bmi, sort xtitle(Body mass index) ytitle(95% pointwise CI) clp(l l - -) ///
	 lcolor(gs8 gs8 gs4 gs4) lwidth(medthick ..) ///
	 legend(label(1 "Naive FP") label(3 "Bootstrap") order(1 3)  pos(11) ring(0) col(1)) ///
	 name(g2, replace) nodraw

}
graph combine g1 g2, sav($stub,replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
