version 9.2
global stub ch5_f04
/*
	PBC data.
	Deviance for FP2 on leave one out case and covariate pattern on bil.
	Shows influence of lowest observation.
*/
set more off
mvmb_load pbc
fpdiagnostic stcox bil using ${stub}_1, case

preserve

use ${stub}_1, replace

gen devdif = devfp1-devfp2

* Note that case is recreated by fpdiagnostic.ado as _n irrespective of missing observations.

scatter devdif case, ylab(0 2 4 5.99 8 10) xlab(8 162 362) ///
 xsca(r(0 418)) yline(5.99, lwidth(vthin) lpattern(dash)) ///
 xline(8 163 362, lwidth(vthin) lpattern(dash)) ///
 xtitle("Case number") ytitle("Deviance difference, FP2 vs FP1") ///
 ms(oh) name(g1, replace) nodraw

* Plot against unique X

restore

fpdiagnostic stcox bil using ${stub}_2

use ${stub}_2, replace

gen devdif = devfp1-devfp2

scatter devdif x [fw=freq], msize(*.66667) xlab(0.3 1 3 10 30) xsca(log) ///
 ylab(0 2 4 5.99 8 10) yline(5.99, lwidth(vthin) lpattern(dash)) ///
 xline(0.3, lwidth(vthin) lpattern(dash)) text(1.5 0.4 "Cases 8, 163, 362", place(e)) ///
 xtitle("Bilirubin (bil), log scale") ytitle("Deviance difference, FP2 vs FP1") ///
 ms(oh) name(g2, replace) nodraw

graph combine g1 g2, sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
