version 9.2
global stub ch5_f10
/*
	Triceps data. FP3 models.
*/
set more off
mvmb_load triceps
qui {
	* FP4 on age
	fracpoly regress lntriceps age 2 2 3 3
	predict fit1
	replace fit1 = exp(fit1)
	predict res1, res

	twoway (scatter triceps age, ms(oh) mcolor(gs12)) (line fit1 age, sort lwidth(medthick) lcolor(gs2)), ///
	 xtitle("Age, years") ytitle("Triceps (log scale)") ysca(log) yla(5 10 20 50) ///
	 xlab(0(10)50) leg(off) name(g1, replace) nodraw

	local x age
	local y res1
	running_ci `y' `x'

	residual_plot_cmd s_`x' ll_`x' ul_`x' `x', yl(-0.22) yu(0.22)
	twoway `r(cmd1)' `r(cmd2)' `r(cmd3)' ///
	 , xtitle("Age, years") ytitle("Smoothed residuals") xlab(0(10)50) ///
	 name(g2, replace) nodraw

	* exp(sd) transformation, FP3 model
	fracgen age 1, exp(sd)
	fracpoly regress lntriceps age_1 2 3 3 3
	predict fit2
	replace fit2 = exp(fit2)
	predict res2, res

	twoway (scatter triceps age, ms(oh) mcolor(gs12)) ///
	 (line fit2 age, sort lwidth(medthick) lcolor(gs2)), ///
	 xtitle("Age, years") ytitle("Triceps (log scale)") ysca(log) yla(5 10 20 50) ///
	 xlab(0(10)50) legend(off) name(g3, replace) nodraw

	local x age
	local y res2
	running_ci `y' `x'

	residual_plot_cmd s_`x' ll_`x' ul_`x' `x', yl(-0.22) yu(0.22)

	twoway `r(cmd1)' `r(cmd2)' `r(cmd3)' ///
	 , xtitle("Age, years") ytitle("Smoothed residuals") xlab(0(10)50) ///
	 name(g4, replace) nodraw
}
graph combine g1 g2 g3 g4, sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4
set more on
