version 9.2
global stub ch6_f05
/*
	GBSG breast cancer data.
	Showing smoothed martingale residuals.
	Using misspecified linear BE(0.05) model.
*/
set more off
mvmb_load gbsg_br_ca

stcox gradd1 nodes pgr hormon, mgale(res)
predict index, xb
meanzero index, replace

global vars nodes pgr index age size er

foreach x of var $vars {
	running_ci res `x'
}
replace res = -1 if res<-1	// for plotting purposes.

local xstuf1 xtitle("") title("nodes (log scale)") xsca(log) xla(1 3 10 30)
local xstuf2 xtitle("") title("pgr + 1 (log scale)") xsca(log) xla(1 10 100 1000)
local xstuf3 xtitle("") title("index") xla(-6(2)2)
local xstuf4 xtitle("") title("age")
local xstuf5 xtitle("") title("size (log scale)") xsca(log) xla(3 10 30 100)
local xstuf6 xtitle("") title("er + 1 (log scale)") xsca(log) xla(1 10 100 1000)
 
forvalues j=1/6 {
	local x: word `j' of $vars
	if `j'==2 | `j'==6 replace `x'=`x'+1
	local restrict if ll_`x'>=-1 & ul_`x'<=1 & abs(s_`x')<=1
	residual_plot_cmd s_`x' ll_`x' ul_`x' `x' `restrict', yl(-1) yu(1) norestrict

	twoway `r(cmd1)' `r(cmd2)' ///
	 (scatter res `x', ms(oh) mcolor(gs12) ) ///
	 `r(cmd3)', `xstuf`j'' name(g`j', replace) nodraw
}

graph combine g1 g2 g3 g4 g5 g6, ///
 ycommon l1title("smoothed martingale residuals") sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4 g5 g6
set more on
