version 9.2
global stub ch6_f06
/*
	GBSG breast cancer data.
	Fitted functions for model II and linear.
*/
set more off
mvmb_load gbsg_br_ca

fracgen age -2 -.5, adj(mean)
fracgen nodes -2 -1, adj(mean)
fracgen pgr .5, adj(mean)
stcox age_1 age_2 gradd1 nodes_1 nodes_2 pgr_1 hormon
xpredict fage, with(age_1 age_2)
xpredict fnodes, with(nodes_1 nodes_2)
xpredict fpgr, with(pgr_1)

stcox gradd1 nodes pgr hormon
gen fagea = 0
xpredict fnodesa, with(nodes)
xpredict fpgra, with(pgr)

meanzero f*, replace
gen byte freq = 1

global stuff sort ytitle("") leg(off) lwidth(medthick ..) clp(l -)
global spikestuff xaxis(2) yaxis(2) yscale(axis(2) r(0 40) off) xscale(axis(2) off) blcolor(black)

twoway ( line fagea fage age, $stuff xtitle("age", size(large)) ) ///
 ( spike freq age, $spikestuff ) ///
 , yla(0(1)4) ysca(r(-.5 4)) name(g1, replace) nodraw
 
twoway ( line fnodesa fnodes nodes, $stuff xtitle("nodes", size(large)) ) ///
 ( spike freq nodes, $spikestuff ) ///
 , yla(0(1)3) ysca(r(-1 3)) name(g2, replace) nodraw

twoway ( line fpgra fpgr pgr, $stuff xtitle("pgr", size(large)) ) ///
 ( spike freq pgr, $spikestuff ) ///
 , yla(-6(2)0) ysca(r(-6 1)) name(g3, replace) nodraw

graph combine g1 g2 g3, sav($stub, replace) imargin(small) ///
 l1title("Log relative hazard") nodraw
 
gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3
set more on
