version 9.2
global stub ch6_f19
/*
	Whitehall 1 data.
	Smoothed martingale residuals for model for CHD.
*/
set more off
mvmb_load whitehall1

ren ht height
ren wt weight

* Fit MFP model
fracgen age -0.5
fracgen cigs 0
stcox age_1 cigs_1 chol height weight map gradd1 gradd2 gradd3, nohr mgale(mgale)
local j 0
foreach x of var age cigs chol height weight map {
	local ++j
	running_ci mgale `x'

	residual_plot_cmd s_`x' ll_`x' ul_`x' `x' if ll_`x'>=-0.2, yl(-.2) yu(.2) norestrict
	preserve
	qui bysort `x': drop if _n>1

	twoway `r(cmd1)' `r(cmd2)' `r(cmd3)' ///
	 , yla(-.2(.2).2) ytitle("") xtitle("`x'") name(g`j', replace) nodraw
	restore
}
graph combine g1 g2 g3 g4 g5 g6, sav($stub, replace) l1title("Smoothed martingale residuals") nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4 g5 g6
set more on
