version 9.2
global stub ch6_f21
/*
	GBSG breast cancer data.
	Simple vs complex model.
*/
set more off
mvmb_load gbsg_br_ca
mvmb_logopen

global vars age meno size gradd1 gradd2 enodes pgr er hormon

* MFP(0.05)
*qui mfp stcox $vars, sel(.05)
*mfp
fracpoly stcox age -2 -.5 gradd1 enodes pgr .5 hormon
predict eta1, xb

* MFP(1)
*qui mfp stcox $vars, sel(1) alpha(1)
*mfp
fracpoly stcox age -2 -.5 meno size -1 3 gradd1 gradd2 enodes -2 1 pgr 0 3 er 2 2 hormon
predict eta2, xb

meanzero eta1 eta2, replace

twoway (scatter eta1 eta2, ms(oh)) (line eta2 eta2, sort), ///
 leg(off) xtitle(" ") ytitle(" ") ///
 name(g1, replace) nodraw

* Intraclass correlation coefficient
icc eta1 eta2

* Same plot without 4 low outliers in eta2

preserve
drop if eta2<-4
meanzero eta2, replace
twoway (scatter eta1 eta2, ms(oh)) (line eta2 eta2, sort), ///
 leg(off) xtitle(" ") ytitle(" ") ///
 xla(-3(1)4) yla(-3(1)4) name(g2, replace) nodraw

* Intraclass correlation coefficient
icc eta1 eta2

log close

graph combine g1 g2, sav($stub, replace) ///
 b2title("eta2, MFP(1) model") l1title("eta1, MFP(0.05) model") nodraw
 
gph2emf $stub
gph2eps $stub

graph drop g1 g2
restore
set more on
