version 9.2
global stub ch6_f22
/*
	GBSG breast cancer data.
	Simple vs complex model.
	With robustness transformation, also show SE of eta.
*/
set more off
mvmb_load gbsg_br_ca
mvmb_logopen

* MFP(0.05)
foreach v of var age size nodes pgr er {
	gdelta G`v'=`v'
}
global vars Gage meno Gsize gradd1 gradd2 Gnodes Gpgr Ger hormon
*qui mfp stcox $vars, sel(.05)
*mfp
fracpoly stcox Gage -2 -2 Gnodes 0 Gpgr -2 hormon
predict eta3, xb
predict seta3, stdp

* MFP(1)
*qui mfp stcox $vars, sel(1) alpha(1)
*mfp
fracpoly stcox Gage -2 -2 meno Gsize -1 -0.5 gradd1 gradd2 Gnodes -2 -2 Gpgr -2 3 Ger 3 3 hormon
predict eta4, xb
predict seta4, stdp

meanzero eta3 eta4, replace

twoway (scatter eta3 eta4, ms(oh)) (line eta4 eta4, sort), ///
 xla(-3(1)3) yla(-3(1)3) leg(off) ///
 xtitle("eta4, MFP(1) model", size(large)) ytitle("eta3, MFP(0.05) model", size(large)) ///
 name(g1, replace) nodraw

twoway (scatter seta3 seta4, ms(oh)) (line seta4 seta4, sort), ///
 leg(off) ///
 xtitle("SE(eta4)", size(large)) ytitle("SE(eta3)", size(large)) ///
 name(g2, replace) nodraw

spearman eta3 eta4

graph combine g1 g2, sav($stub, replace) nodraw
 
gph2emf $stub
gph2eps $stub

graph drop g1 g2

* ICCs including MFP(0.05) model
fracpoly stcox age -2 -.5 gradd1 enodes pgr .5 hormon
predict eta1, xb
meanzero eta1, replace

fracpoly stcox age -2 -.5 meno size -1 3 gradd1 gradd2 enodes -2 1 pgr 0 3 er 2 2 hormon
predict eta2, xb
meanzero eta2, replace
replace eta2 = . if eta2<-4
meanzero eta2, replace

icc eta1 eta2
icc eta1 eta3
icc eta1 eta4
icc eta2 eta3
icc eta2 eta4
icc eta3 eta4

log close
set more on
