version 9.2
global stub ch6_t06
/*
	GBSG breast cancer data.
	Contribution of each predictor to a full model.
*/
set more off
mvmb_load gbsg_br_ca
mvmb_logopen

fracgen pgr .5
fracgen age -2 -1

local model age_1 age_2 meno size gradd1 gradd2 enodes pgr_1 er hormon
stcox `model', nohr nolog
predict xb, xb
str2d stcox `model'

foreach v in "age_1 age_2" meno size gradd1 gradd2 enodes pgr_1 er hormon {
	local m: list model - v
	qui regress xb `m'
	di "`v'" _col(12) round(100*(1-e(r2)),.01)
}

// and for model 3
fracgen age -2 -.5, replace
local model age_1 age_2 gradd1 enodes pgr_1 hormon
stcox `model', nohr nolog
drop xb
predict xb, xb
str2d stcox `model'

foreach v in "age_1 age_2" gradd1 enodes pgr_1 hormon {
	local m: list model - v
	qui regress xb `m'
	di "`v'" _col(12) round(100*(1-e(r2)),.01)
}

* Smaller models
str2d stcox enodes
str2d stcox enodes pgr_1
str2d stcox enodes pgr_1 age_1 age_2

log close
set more on
