version 9.2
global stub ch7_f05
/*
	GBSG breast cancer data.
	Cutpoint based interaction between ER and hormon.
	Cutpoints (0, 10, 36); 36 = median.
*/
set more off
mvmb_load gbsg_br_ca

local cut 0 10 36
categ er, cut(`cut')

global stuff  by(hormon) xtitle(" ", size(large)) ytitle(" ", size(large)) clp(l -) legend(off)

local lab1 "0 fmol/l"
local lab2 "1-10 fmol/l"
local lab3 "11-36 fmol/l"
local lab4 ">36 fmol/l"
forval j=1/4 {
	sts graph if erc4==`j', $stuff name(g`j', replace) nodraw ///
	 title("`lab`j''") lwidth(medthick ..) lcolor(gs6 ..) xla(0(2.5)7.5)
}
graph combine g1 g2 g3 g4, sav($stub, replace) nodraw ///
 b2("Recurrence-free survival time, years") ///
 l1("Recurrence-free survival probability") imargin(small)

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4
set more on
