version 9.2
global stub ch7_t03
/*
	Advanced prostate cancer data.
	bm x rx interaction. Estimates, unadjusted
	and adjusted for alpha* = .05 model.
*/
set more off
mvmb_load adv_prostate_ca
mvmb_logopen

tab bm rx, col

// 5% adjustment model
global adj age wt sz pf hx stage ekg

di "unadjusted"
forval j=0/1 {
	qui stcox rx if bm==`j'
	di `j', _b[rx], _se[rx]
}
di "unadjusted"
forval j=0/1 {
	qui stcox rx $adj if bm==`j'
	di `j', _b[rx], _se[rx]
}
log close
set more on
