version 9.2
global stub ch7_t04
/*
	Advanced prostate cancer data.
	Model selection for FP functions, interaction between rx and age.
	AIC and BIC.
*/
set more off
mvmb_load adv_prostate_ca
mvmb_logopen

global vars wt sbp dbp sz ap hg sg pf hx bm stage ekg
global adjust wt sz pf hx stage ekg

mfpi stcox $adjust, select(1) df(1) with(rx) linear(age) fp1(age) fp2(age) showmodel
foreach zz in lin fp1 fp2 {
	local dev`zz' = r(dev`zz')
	local aic`zz' = r(aic`zz')
	local df`zz' = r(totdf`zz')
}

// #events
count if e(sample) & _d==1
local ev = r(N)

// For legibility, present aic minus 3718 and bic minus 3729
foreach zz in lin fp1 fp2 {
	di "`zz': aic = " %9.4f `aic`zz''-3718 " bic = " %9.4f `dev`zz''+ln(`ev')*`df`zz''-3729 " d.f. = " `df`zz''
}

// Uncorrected aic and bic
foreach zz in lin fp1 fp2 {
	di "`zz': aic = " %9.4f `aic`zz'' " bic = " %9.4f `dev`zz''+ln(`ev')*`df`zz'' " d.f. = " `df`zz''
}
log close
set more on
