version 9.2
global stub ch7_t05
/*
	GBSG breast cancer data.
	TAM treatment effect in ER subgroups,
	adjusted for model selected at alpha = 5%.
*/
set more off
mvmb_load gbsg_br_ca
mvmb_logopen

local cut 0 10 36 115
categ er, cut(`cut')

fracgen age -2 -1
global adj age_1 age_2 gradd1 enodes

di "unadjusted"
forval j=1/5 {
	qui stcox hormon if erc==`j'
	di `j', _b[hormon], _se[hormon]
}

di "adjusted"
forval j=1/5 {
	qui stcox hormon $adj if erc==`j'
	di `j', _b[hormon], _se[hormon]
}
log close
set more on
